> Version 7 of Zren's i18n scripts.

With KDE Frameworks v5.37 and above, translations are bundled with the `*.plasmoid` file downloaded from the store.

## Install Translations

Go to `~/.local/share/plasma/plasmoids/org.kde.plasma.eventcalendar/translate/` and run `sh ./build --restartplasma`.

## New Translations

1. Fill out [`template.pot`](template.pot) with your translations then open a [new issue](https://github.com/Zren/plasma-applet-eventcalendar/issues/new), name the file `spanish.txt`, attach the txt file to the issue (drag and drop).

Or if you know how to make a pull request

1. Copy the `template.pot` file and name it your locale's code (Eg: `en`/`de`/`fr`) with the extension `.po`. Then fill out all the `msgstr ""`.

## Scripts

* `sh ./merge` will parse the `i18n()` calls in the `*.qml` files and write it to the `template.pot` file. Then it will merge any changes into the `*.po` language files.
* `sh ./build` will convert the `*.po` files to it's binary `*.mo` version and move it to `contents/locale/...` which will bundle the translations in the `*.plasmoid` without needing the user to manually install them.
* `sh ./plasmoidlocaletest` will run `./build` then `plasmoidviewer` (part of `plasma-sdk`).

## Links

* https://zren.github.io/kde/docs/widget/#translations-i18n
* https://techbase.kde.org/Development/Tutorials/Localization/i18n_Build_Systems
* https://api.kde.org/frameworks/ki18n/html/prg_guide.html

## Examples

* https://l10n.kde.org/stats/gui/trunk-kf5/team/fr/plasma-desktop/
* https://github.com/psifidotos/nowdock-plasmoid/tree/master/po
* https://github.com/kotelnik/plasma-applet-redshift-control/tree/master/translations

## Status
|  Locale  |  Lines  | % Done|
|----------|---------|-------|
| Template |     215 |       |
| da       | 179/215 |   83% |
| de       | 209/215 |   97% |
| el       | 166/215 |   77% |
| es       | 212/215 |   98% |
| fi       | 209/215 |   97% |
| fr       | 180/215 |   83% |
| he       | 210/215 |   97% |
| hu       |  86/215 |   40% |
| it       | 209/215 |   97% |
| ja       | 177/215 |   82% |
| nl       | 213/215 |   99% |
| pl       | 156/215 |   72% |
| pt_BR    | 209/215 |   97% |
| pt_PT    | 208/215 |   96% |
| ru       | 207/215 |   96% |
| sl       | 187/215 |   86% |
| sv       | 173/215 |   80% |
| tr       | 178/215 |   82% |
| uk       | 156/215 |   72% |
| zh_CN    | 158/215 |   73% |
